summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/flog/Manifest1
-rw-r--r--dev-ruby/flog/flog-4.6.6.ebuild28
-rw-r--r--dev-ruby/simplecov/Manifest1
-rw-r--r--dev-ruby/simplecov/simplecov-0.21.2.ebuild50
-rw-r--r--dev-ruby/simplecov_json_formatter/Manifest1
-rw-r--r--dev-ruby/simplecov_json_formatter/metadata.xml10
-rw-r--r--dev-ruby/simplecov_json_formatter/simplecov_json_formatter-0.1.4.ebuild22
7 files changed, 113 insertions, 0 deletions
diff --git a/dev-ruby/flog/Manifest b/dev-ruby/flog/Manifest
index 698f560d180c..614fcc112b25 100644
--- a/dev-ruby/flog/Manifest
+++ b/dev-ruby/flog/Manifest
@@ -1,2 +1,3 @@
DIST flog-4.6.4.gem 26624 BLAKE2B 27090f9a47619b63c8c34e0d6992c1d0ff29193a7de3af839d72d5754c2b149f38c1c1e3caec981170c408123bc38e3fc3e38e87fb9a83818e1cb356d31070c3 SHA512 495601bfc560c2d18973234c41706aa07b76ea95bc3803f93fb16b42ae071b65fc9a1c36e8d4a9bfaf3c88a1167ab714f4bbc7a982b9e606aa799f8480a23f4d
DIST flog-4.6.5.gem 26624 BLAKE2B c1cf4377be7a2b9856e4f370b6a559ac1ebac6aba7da28bd6a27bb84fe8df613680cb7c96e3d30e42d30011b97309c60e7f4bec2c322bcc3b2ed8ad5f93172a1 SHA512 81eaf3871f6111b442fb82371720709073f00a17044885e85498e7f943e1c9f8b5345ae8ff06a56ff68db8919ee0e696284bf017b1e1e66d76419306bed90866
+DIST flog-4.6.6.gem 26624 BLAKE2B 7643813d436ca516d60bbde6cefb18d561a1ffd6fde3586a7104450a96b6d363dc6b794620b41e8ffeffd831e252cf15d681b2fdf41acb3b3c0d0cb5b4e95c25 SHA512 0689f85de19eee0d992e094f43b74f2eaf08696cfdaab849760e5f017b83bd0acb538bd0a6d6289538ac5b7f888069e12507eb6139fa35532a310122c4412c64
diff --git a/dev-ruby/flog/flog-4.6.6.ebuild b/dev-ruby/flog/flog-4.6.6.ebuild
new file mode 100644
index 000000000000..b2b88b559e64
--- /dev/null
+++ b/dev-ruby/flog/flog-4.6.6.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Flog reports the most tortured code in an easy to read pain report"
+HOMEPAGE="https://ruby.sadi.st/"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
+
+ruby_add_rdepend "
+ dev-ruby/path_expander:1
+ >dev-ruby/ruby_parser-3.1.0:3
+ >=dev-ruby/sexp_processor-4.8:4"
+
+each_ruby_test() {
+ ${RUBY} -Ilib test/test_flog.rb || die
+}
diff --git a/dev-ruby/simplecov/Manifest b/dev-ruby/simplecov/Manifest
index c119b765e596..68692cc5b902 100644
--- a/dev-ruby/simplecov/Manifest
+++ b/dev-ruby/simplecov/Manifest
@@ -1 +1,2 @@
DIST simplecov-0.19.1.tar.gz 107430 BLAKE2B 0f18cd4c8ddfd324f4e3326ad8503530862f0ae67658865183984b81a59ad9aa5fcf650fa9f64fa6841ea23afa07d25e38443a79ad0be26b966fa99b6805a090 SHA512 2d781008769abd79020be96f7c1f91cfb9f27d51d00436f737c408a9b9d57a82955cbe5ba5ee5a628b9a7e8835d9b3e1542b67499355373c4f9b2638bee83235
+DIST simplecov-0.21.2.tar.gz 114080 BLAKE2B b1bdfd45a39f97072d871a6d4ba4a2d9f2b94642cbbe329fba91b53b1d6a9b024e224e822ca49c28c4849b7bc3ade19027c6aab739d3acf28c09cd3c773ce4eb SHA512 68e9a901b2ecef07aebad214ea86a092871b0ebf5b62881ca97ca0033c1ee5b9ba395116f9960e69cd88b90f569a3b573a3879178e9ccfa06d28c94de8b4f918
diff --git a/dev-ruby/simplecov/simplecov-0.21.2.ebuild b/dev-ruby/simplecov/simplecov-0.21.2.ebuild
new file mode 100644
index 000000000000..8dfe63648ed6
--- /dev/null
+++ b/dev-ruby/simplecov/simplecov-0.21.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_RECIPE_DOC="none"
+
+RUBY_FAKEGEM_GEMSPEC="simplecov.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Code coverage with a configuration library and merging across test suites"
+HOMEPAGE="https://github.com/simplecov-ruby/simplecov"
+SRC_URI="https://github.com/simplecov-ruby/simplecov/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~riscv"
+SLOT="0.8"
+IUSE="doc"
+
+ruby_add_rdepend "
+ dev-ruby/simplecov-html:0.12
+ >=dev-ruby/simplecov_json_formatter-0.1:0
+ >=dev-ruby/docile-1.1:0"
+
+ruby_add_bdepend "test? (
+ dev-ruby/bundler
+ dev-ruby/rspec:3
+ dev-ruby/test-unit:2
+)"
+
+# There are also cucumber tests that require poltergeist and unpackaged phantomjs gem.
+
+all_ruby_prepare() {
+ # Avoid test depending on spawning ruby and having timing issues
+ sed -i -e '/blocks other processes/askip "gentoo"' spec/result_merger_spec.rb || die
+
+ sed -i -e '5i require "bundler"' spec/helper.rb || die
+}
+
+each_ruby_test() {
+ RSPEC_VERSION=3 ruby-ng_rspec spec/*spec.rb || die
+
+ #${RUBY} -S cucumber features || die
+}
diff --git a/dev-ruby/simplecov_json_formatter/Manifest b/dev-ruby/simplecov_json_formatter/Manifest
new file mode 100644
index 000000000000..1bb9762f6cd8
--- /dev/null
+++ b/dev-ruby/simplecov_json_formatter/Manifest
@@ -0,0 +1 @@
+DIST simplecov_json_formatter-0.1.4.gem 6656 BLAKE2B 57a03ca27911ed798ec2aa7e84a8d037e4565b0b9fec261d0a72d9276355ba27eb8fedea31195bc8b6e6b67b94b9a5f903f326720b862a46790bacd282e83c63 SHA512 1b90167acf4ad9565084488b455ee25ab8930a70a849191228e2868c15f29d257dc5256bb578e11351a942d887dcdeda9191a541cd0fb70e3f0eb8466fb13ddf
diff --git a/dev-ruby/simplecov_json_formatter/metadata.xml b/dev-ruby/simplecov_json_formatter/metadata.xml
new file mode 100644
index 000000000000..246d194b7ec0
--- /dev/null
+++ b/dev-ruby/simplecov_json_formatter/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/simplecov_json_formatter/simplecov_json_formatter-0.1.4.ebuild b/dev-ruby/simplecov_json_formatter/simplecov_json_formatter-0.1.4.ebuild
new file mode 100644
index 000000000000..5201e28824d9
--- /dev/null
+++ b/dev-ruby/simplecov_json_formatter/simplecov_json_formatter-0.1.4.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="JSON formatter for SimpleCov"
+HOMEPAGE="https://github.com/codeclimate-community/simplecov_json_formatter"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~riscv"
+SLOT="$(ver_cut 1)"
+IUSE="doc"
+
+# Not packaged in the gem and very fragile for e.g. simplecov versions
+RESTRICT="test"